EDIT - bug #5211

Error when creating new taxon /problem with sortindex in taxon tree
09/08/2015 12:20 PM - Cherian Mathew

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

Following error occurs sometimes when creating a taxon.
History

#1 - 09/08/2015 12:34 PM - Cherian Mathew

The actual reason for this error is that one of the taxon nodes to be loaded in the navigator has sortindex -1.

Not really sure why this happens but correcting the sortindex in the db fixes the problem.

#2 - 09/09/2015 01:22 PM - Cherian Mathew
- Status changed from New to Resolved

- Assignee changed from c.mathew - to Andreas Mliller

#3 - 09/10/2015 04:15 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to c.mathew -

Should we just close this ticket and wait if the sortindex issue comes up again. | currently can't reproduce.

Or should we try to create a handler for this exception to give better feedback to the user such as "Please ask your database administrator to fix this"?
#4 - 11/20/2015 11:49 AM - Cherian Mathew

- Assignee changed from c.mathew - to Andreas M(iller

#5 - 11/26/2015 03:03 PM - Andreas Miiller

- Status changed from Resolved to In Progress

- Target version changed from Remoting 5.0 to Unassigned CDM tickets

#6 - 11/26/2015 03:04 PM - Andreas Miller

- Status changed from In Progress to New

#7 - 10/05/2016 12:40 PM - Andreas Miller
- Description updated

- Status changed from New to Worksforme

Probably fixed with better handling for null values in merge.

#8 - 10/05/2016 12:40 PM - Andreas Miiller

- Target version deleted (Unassigned CDM tickets)

#9 - 03/29/2017 03:22 PM - Katja Luther

- Status changed from Worksforme to New

- Assignee changed from Andreas Muiller to Katja Luther

we have to reopen this ticket.
Henning created a new taxon, which had the

sortindex -1.
#10 - 03/29/2017 04:06 PM - Andreas Miiller

- Target version set to Release 4.7

#11 - 03/29/2017 04:10 PM - Andreas Miiller

- Subject changed from Error when creating new taxon to Error when creating new taxon /problem with sortindex in taxon tree

- Private changed from Yes to No

The main problem here is that the hibernate implementation of List (PersistentList) has a strange behavior in the size() method when an object is
added. Size() does not change its value though a new abject is added. Instead only an ADD object is remembered in the list. As we use size for
computing the sortindex this leads to problems and incorrect sortindexes.

#12 - 03/29/2017 04:13 PM - Andreas Miiller

- Description updated

#13 - 03/29/2017 04:15 PM - Andreas Miiller

- Description updated

#14 - 03/29/2017 04:19 PM - Andreas Miiller
- Category changed from taxeditor to cdmlib
- Status changed from New to In Progress

- Assignee changed from Katja Luther to Andreas Miiller

#15 - 03/30/2017 11:48 AM - Andreas Miiller
- Related to bug #6546: Adding identifier does not always work added

#16 - 03/31/2017 10:11 AM - Andreas Miiller

| tried to move the sortindex updater to hibernate saveOrUpdate listener in hope that the list is update at that point but it isn't.

#17 - 05/17/2017 01:49 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#18 - 07/06/2017 10:51 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#19 - 07/21/2017 10:13 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#20 - 09/25/2017 03:23 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#21 - 11/08/2017 11:27 AM - Andreas Muller

- Target version changed from Release 4.11 to Release 4.12
#22 - 12/05/2017 02:05 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#23 - 01/31/2018 12:50 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#24 - 02/15/2018 03:39 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#25 - 05/14/2018 11:36 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#26 - 06/27/2018 02:30 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#27 - 08/17/2018 04:05 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#28 - 09/06/2018 10:05 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#29 - 10/23/2018 11:31 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#30 - 02/14/2019 10:33 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#31 - 02/19/2019 06:43 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#32 - 05/03/2019 02:57 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#33 - 07/19/2019 03:34 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#34 - 09/18/2019 01:36 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.11

#35 - 11/04/2019 12:38 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#36 - 01/16/2020 12:57 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#37 - 02/26/2020 11:47 AM - Andreas Muller

- Target version changed from Release 5.13 to Release 5.14

#38 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#39 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#40 - 12/03/2020 05:59 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19
#41 - 01/27/2021 04:01 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#42 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#43 - 04/16/2021 10:21 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#45 - 07/28/2022 09:31 AM - Andreas Miiller
- Related to bug #10101: Correct mapping and handling of sorted tree structures added
